﻿using Bunny.Dao.Result;
using Bunny.Service.IService;
using Microsoft.AspNetCore.Mvc;

namespace Bunny.WebApi.Controllers;

/// <summary>
///     测试请求模板
/// </summary>
[ApiController]
[Route("api/[controller]")]
public class TemplateController : ControllerBase
{
    private readonly IBaseService _baseService;

    public TemplateController(IBaseService baseService)
    {
        _baseService = baseService;
    }

    /// <summary>
    ///     测试走缓存
    /// </summary>
    /// <returns></returns>
    [HttpGet("GetCacheController")]
    public Result<string> CacheControl()
    {
        Response.Headers.CacheControl = "max-age=20";
        return Result<string>.Success($"测试走缓存内容：{Response.Headers.CacheControl}");
    }

    /// <summary>
    ///     测试Service是否注入
    /// </summary>
    /// <returns></returns>
    [HttpGet("TestInject")]
    public Result<string> TestInject()
    {
        var testIndex = _baseService.TestIndex();
        return Result<string>.Success(testIndex);
    }
}